# =====================================================================================================================
# === Google Cloud template variant
# =====================================================================================================================
variables:
  # variabilized gcp-auth-provider image
  TBC_GCP_PROVIDER_IMAGE: $CI_REGISTRY/to-be-continuous/tools/gcp-auth-provider:main
  GCP_OIDC_AUD: "$CI_SERVER_URL"

.tf-base:
  services:
    - name: "$TBC_TRACKING_IMAGE"
      command: ["--service", "terraform", "5.2.0" ]
    - name: "$TBC_GCP_PROVIDER_IMAGE"
      alias: "gcp-auth-provider"
  variables:
    #  have to be explicitly declared in the YAML to be exported to the service
    GCP_JWT: $GCP_JWT
    GOOGLE_OAUTH_ACCESS_TOKEN: "@url@http://gcp-auth-provider/token"
  id_tokens:
    GCP_JWT:
      aud: "$GCP_OIDC_AUD"
